> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a subscription item applied discount.

> Retrieves a SubscriptionItemAppliedDiscount resource.



## OpenAPI

````yaml get /subscription-item-applied-discounts/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /subscription-item-applied-discounts/{id}:
    parameters: []
    get:
      tags:
        - SubscriptionItem
      summary: Get a subscription item applied discount.
      description: Retrieves a SubscriptionItemAppliedDiscount resource.
      operationId: getSubscriptionItemAppliedDiscount
      parameters:
        - name: id
          in: path
          description: SubscriptionItemAppliedDiscount identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: SubscriptionItemAppliedDiscount resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionItemAppliedDiscount'
            text/html:
              schema:
                $ref: '#/components/schemas/SubscriptionItemAppliedDiscount'
        '404':
          description: Resource not found
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /subscription-item-applied-discounts/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    SubscriptionItemAppliedDiscount:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        subscriptionItem:
          readOnly: true
          type: string
          format: uuid
          example: https://example.com/
        coupon:
          readOnly: true
          type:
            - string
            - 'null'
          format: uuid
          example: https://example.com/
        status:
          readOnly: true
          description: |-
            The status of this applied discount.

            Possible values:
             * `active`: The discount is active and will be applied to the subscription item.
             * `completed`: The discount is not active anymore, but it was applied to the subscription item.
             * `removed`: The discount was removed from the subscription item.
          example: active
        discount:
          $ref: '#/components/schemas/Discount'
          readOnly: true
          description: The discount that is applied to the subscription item.
        appliedIntervals:
          readOnly: true
          description: >-
            The number of intervals this discount was applied to the
            subscription item.
          example: 1
          type:
            - integer
            - 'null'
        createdAt:
          readOnly: true
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          type: string
          format: date-time
        removed:
          readOnly: true
          type: boolean
        completed:
          readOnly: true
          type: boolean
        active:
          readOnly: true
          type: boolean
        tenantId:
          readOnly: true
          type: string
    Discount:
      type: object
      description: ''
      deprecated: false
      required:
        - name
        - type
        - frequency
      properties:
        name:
          description: >-
            The name of this coupon, which will be displayed to the user in the
            checkout process, customer front, etc.
          example: 10% off
          type: string
        type:
          description: |-
            The type of this coupon.

            Possible values:
             * `percentage`: A percentage will be taken off the total plan amount.
             * `fixed_amount`: A fixed amount will be taken off the total plan amount. It will never go below 0.
          example: percentage
        percentage:
          minimum: 0
          maximum: 100
          description: >-
            The percentage this coupon should apply. **Required for type
            `percentage`.**
          example: 10
          type:
            - integer
            - 'null'
        fixedAmount:
          $ref: '#/components/schemas/MoneyEmbeddedDefaultNull'
          description: >-
            The fixed amount this coupon should apply. **Required for type
            `fixed_amount`.**
        frequency:
          description: |-
            The frequency at which a coupon should be applied.

            Possible values:
             * `once`: The coupon will be applied once for the first billing period.
             * `limited`: The coupon will be applied for a limited number of billing periods.
             * `lifetime`: The coupon will be applied forever.
          example: limited
        frequencyInterval:
          description: >-
            The number of billing periods the coupon will be applied for.
            **Required for frequency `limited`.**
          example: 3
          type:
            - integer
            - 'null'
    MoneyEmbeddedDefaultNull:
      type: object
      description: ''
      deprecated: false
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````